### Method

# Gtk StackPage set_name

#### Declaration [src]

    void
    gtk_stack_page_set_name (
      GtkStackPage* self,
      const char* setting
    )

#### Description [src]

Sets the name of the page.

Sets property | `Gtk.StackPage:name`

#### Parameters

`setting`

  Type: `const char*`

  The new value to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.